org.apache.cxf.feature.transform

## Class AbstractXSLTInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.feature.transform.AbstractXSLTInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>
  Direct Known Subclasses:
    XSLTInInterceptor, XSLTOutInterceptor

      public abstract class AbstractXSLTInterceptor
      extends AbstractPhaseInterceptor<Message>

  Creates an XMLStreamReader from the InputStream on the Message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXSLTInterceptor(String phase, Class<?> before, Class<?> after, String xsltPath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkContextProperty(Message message)`
    `protected Templates` | `getXSLTTemplate()`
    `void` | `setContextPropertyName(String propertyName)`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

      `handleMessage`

- - ### Constructor Detail

    - #### AbstractXSLTInterceptor

          public AbstractXSLTInterceptor(String phase,
                                         Class<?> before,
                                         Class<?> after,
                                         String xsltPath)

  - ### Method Detail

    - #### setContextPropertyName

          public void setContextPropertyName(String propertyName)

    - #### checkContextProperty

          protected boolean checkContextProperty(Message message)

    - #### getXSLTTemplate

          protected Templates getXSLTTemplate()

Apache CXF